## ros-iron-kortex-description 0.2.2

=== debian/changelog ===
ros-iron-kortex-description (0.2.2-1jammy) jammy; urgency=high

  * Refactor MoveIt Launch files (#162 <https://github.com/Kinovarobotics/ros2_kortex/issues/162>)
  * Add use_external_cable parameter to URDF (#155 <https://github.com/Kinovarobotics/ros2_kortex/issues/155>)
  * Contributors: Anthony Baker

 --  <avannobel@kinova.ca>  Wed, 09 Aug 2023 04:00:00 -0000

ros-iron-kortex-description (0.2.1-1jammy) jammy; urgency=high

  * fix missing dependencies (#152 <https://github.com/PickNikRobotics/ros2_kortex/issues/152>)
    This fixes missing dependencies which were available from source build
    but were missing from released binary
  * Contributors: Alex Moriarty

 --  <avannobel@kinova.ca>  Wed, 26 Jul 2023 04:00:00 -0000

ros-iron-kortex-description (0.2.0-1jammy) jammy; urgency=high

  * Initial Public ROS 2 release of kortex_description
  * Make Gripper velocity and force configurable through URDF (#137 <https://github.com/PickNikRobotics/ros2_kortex/issues/137>)
  * rename kortex2 -> kortex (#144 <https://github.com/PickNikRobotics/ros2_kortex/issues/144>)
  * Fault and Twist controller from new repo (#143 <https://github.com/PickNikRobotics/ros2_kortex/issues/143>)
  * Add camera to 7dof gen3 ignition sim (#141 <https://github.com/PickNikRobotics/ros2_kortex/issues/141>)
  * Remove circular dependency between Description and bringup package (#123 <https://github.com/PickNikRobotics/ros2_kortex/issues/123>)
  * Add moveit config for 6dof gen 3 (#109 <https://github.com/PickNikRobotics/ros2_kortex/issues/109>)
  * Add MoveIt Config for 7dof arm with robotiq_2f_85 gripper (#107 <https://github.com/PickNikRobotics/ros2_kortex/issues/107>)
  * Convert package to use robotiq_description and update xacros (#95 <https://github.com/PickNikRobotics/ros2_kortex/issues/95>)
    * add sim_isaac arg to gen3.xacro
  * Update gen3 URDF mesh path (#79 <https://github.com/PickNikRobotics/ros2_kortex/issues/79>)
  * Support Gen3 lite Hardware (#73 <https://github.com/PickNikRobotics/ros2_kortex/issues/73>)
    * Improve Protective Stop Reset and General Driver Robusteness (#75 <https://github.com/PickNikRobotics/ros2_kortex/issues/75>)
  * Add support for ros2_control of the kinova gen3 lite (#72 <https://github.com/PickNikRobotics/ros2_kortex/issues/72>)
  * Revert joint2 limit to factory values (#70 <https://github.com/PickNikRobotics/ros2_kortex/issues/70>)
  * Kortex fixes for simulations (#64 <https://github.com/PickNikRobotics/ros2_kortex/issues/64>)
  * Gripper controller adaptation (#66 <https://github.com/PickNikRobotics/ros2_kortex/issues/66>)
  * Remove ros1 files (#62 <https://github.com/PickNikRobotics/ros2_kortex/issues/62>)
  * Add conditional finger joint import. (#57 <https://github.com/PickNikRobotics/ros2_kortex/issues/57>)
  * Add default params for easier use in simulation. (#56 <https://github.com/PickNikRobotics/ros2_kortex/issues/56>)
  * Changes after debugging on real hardware (#51 <https://github.com/PickNikRobotics/ros2_kortex/issues/51>)
  * Additional parametrization (#47 <https://github.com/PickNikRobotics/ros2_kortex/issues/47>)
  * Use gripper through internal bus extension (#38 <https://github.com/PickNikRobotics/ros2_kortex/issues/38>)
  * Contributors: Alex Moriarty, Anthony Baker, Denis Štogl, Marq Rasmussen, livanov93

 --  <avannobel@kinova.ca>  Mon, 17 Jul 2023 04:00:00 -0000

ros-iron-kortex-description (0.1.0-1jammy) jammy; urgency=high

  * Limited shoulder to keep elbow up (#22 <https://github.com/PickNikRobotics/ros2_kortex/issues/22>)
    * limited shoulder from +-2.41 to +-1.3
    * increase range to +-1.4 rad
  * Updated the gripper range to 1 - 99 (#18 <https://github.com/PickNikRobotics/ros2_kortex/issues/18>)
    * Updated the gripper range to 1 - 99
    * Fixed the gripper bug where it never successed
    * Added some better prunt statements
    * Added a gitignore to this project
  * Added an action server for the gripper (#14 <https://github.com/PickNikRobotics/ros2_kortex/issues/14>)
    * Fixed a error with an arg
    * Updated the name of open / close gripper group to be the same as the Ur5
    * Added hand_controller to movit controllers.yaml
    * Added a gripper driver for the 85 gripper
    * cleanup some code
    * Have the gripper opening
    * Updated the srdf so that open / close are the correct value
    * Updated the config so that it's range is 0 - 100
    * Working gripper action server
    * Working gripper action server
    * Removed an unused comment
    * Updated the copy write
    * linting
    * linting
    * removed un-used testing files
    * swapped the open / close the other way around
  * Add gripper to hw_interface (#5 <https://github.com/PickNikRobotics/ros2_kortex/issues/5>)
    * add robotiq driver
    * Fix hand controller
    * remove hand_controller from gen3_move_it_config
    * Combined launch file for kortex_(moveit/control)
    * Fix joint value for left_inner_finger_joint
    * Run pre-commit
    * Revert "Merge pull request #1 <https://github.com/PickNikRobotics/ros2_kortex/issues/1> from PickNikRobotics/pr-robotiq_driver"
    This reverts commit 77d7e71b6cc7eea06eccff2cbcf3862cfbd5f2df, reversing
    changes made to 5ed5a8d1dde4ffadd0132043c894c1832153da47.
    * Send gripper commands, too
    * Launch the gripper controller
    Initialize gripper to position mode
    Copy gripper command from their action server
    * MoveIt does not manage gripper controller since it's not an action server anymore
    * Cannot check for 3 interfaces when gripper joints are included
    * Add missing deps
    Add more deps
    Add even more deps
    Restore default Kinova IP address
    Initialize info_
    * Move session initialization
    * Hard-code robot ip
    Comment the gripper write(), for now
    Fix gripper xacro
    Comment the writing of joint values
    Debug statement
    To test gripper, take out of Servo mode
    * Do not write() anything whatsoever
    Copy example directly

