=== debian/control ===
Source: ros-iron-kortex-description
Section: misc
Priority: optional
Maintainer:  <avannobel@kinova.ca>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-kortex-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-joint-state-publisher, ros-iron-joint-state-publisher-gui, ros-iron-joint-trajectory-controller, ros-iron-picknik-reset-fault-controller, ros-iron-picknik-twist-controller, ros-iron-robot-state-publisher, ros-iron-robotiq-description, ros-iron-rviz2, ros-iron-ros-workspace
Description: URDF and xacro description package for Kortex robots This package contains configuration data, 3D models and launch files for Kortex arms and supported grippers
